#include "netplayer.h"

netplayer::netplayer(QObject *parent) :
    QObject(parent)
{
}

void netplayer::play(QUrl url)
{
	qDebug() << "Start play: " << url.toString();

	netSource *src = new netSource(this);

	src->isOpen(); // Работает!

	Phonon::MediaObject *mediaObject = new Phonon::MediaObject(this);
	mediaObject->setCurrentSource(Phonon::MediaSource(src));
	Phonon::AudioOutput *audioOutput = new Phonon::AudioOutput(Phonon::MusicCategory, this);
	Phonon::Path path = Phonon::createPath(mediaObject, audioOutput);

	connect(mediaObject,SIGNAL(stateChanged(Phonon::State,Phonon::State)),SLOT(at_play_state(Phonon::State,Phonon::State)));
}

void netplayer::at_play_state(Phonon::State st, Phonon::State)
{
	qDebug() << "Player state change!";
}
