#include "netsource.h"

netSource::netSource(QObject *parent) :
    QIODevice(parent)
{
	this->is_opened = false;
}

bool netSource::isSequential()
{
	return false;
}

bool netSource::isOpen() const
{
	qDebug() << "SRC: is Open";
	return this->is_opened;
}

bool netSource::open(OpenMode mode)
{
	qDebug() << "NS: Open!";
	this->is_opened = true;
	return true;
}

bool netSource::seek(qint64 pos)
{
	qDebug() << "NS: Seek: " << pos;
	return true;
}

qint64 netSource::readData(char *data, qint64 maxlen)
{
	qDebug() << "NS: read: " << maxlen;
}

qint64 netSource::writeData(const char *data, qint64 len)
{

}

qint64 netSource::bytesAvailable() const
{
	qDebug() << "NS: Bytes aval";
	return 100500;
}
