#ifndef NETSOURCE_H
#define NETSOURCE_H

#include "global.h"

class netSource : public QIODevice
{
Q_OBJECT
public:
    explicit netSource(QObject *parent = 0);

	bool is_opened;

	bool isSequential();
public:
	bool isOpen() const;
	bool seek (qint64 pos);
	qint64 bytesAvailable () const;

	bool open ( OpenMode mode );

	qint64 readData(char *data, qint64 maxlen);
	qint64 writeData(const char *data, qint64 len);

signals:

public slots:

};

#endif // NETSOURCE_H
